IonCube Loader is an instrument, that's needed to run files that are encoded with ionCube PHP Encoder. The latter is an application employed to make PHP code human unreadable, to protect it from reverse engineering and unauthorized usage. A large number of script-driven applications, in particular discussion boards, cms and electronic commerce solutions are protected with ionCube PHP Encoder, therefore when you obtain a script and you find that ionCube is among the web hosting environment prerequisites, you need to make sure that your hosting server has the tool pre-installed. Though it's not that hard to install it if you have your own server, it's almost impossible to do that on a shared hosting server since the PHP environment will have to be precompiled and all clients on the server shall be affected.
IonCube in Cloud Web Hosting
IonCube Loader is a part of all web servers that are part of our cloud web hosting platform, so whatever the Linux cloud web hosting package that you choose during the signup process, you can enable it through the Hepsia Control Panel. The process is as easy as right-clicking an On/Off button inside the Advanced section, so even if this will be your first website hosting account ever, you won't need to do anything complex. The exact same section enables you to select the PHP release for your account (4, 5.2, 5.3, 5.4, 5.5), so in case you choose to switch to a different version, you only need to activate ionCube Loader for it as well. Since our platform is very flexible, you can set another PHP version and a different status of ionCube by using a php.ini file in each domain folder. In case this is something you wish to do but you do not have much experience, our 24/7 technical support team will be able to help you within minutes.
IonCube in Semi-dedicated Hosting
If you aquire a semi-dedicated server plan from us, you'll be able to use any kind of script-driven application which needs ionCube Loader since the tool is available on all the servers that are part of our cutting-edge cloud website hosting platform. We also support various versions of PHP, which means that if you move from PHP 4 to 5.2 or 5.3, for instance, you can activate ionCube for that particular version with just a click from your Hepsia Control Panel. Our system will remember your decision, and in case you move back to the earlier version of PHP, the instrument will already be active. For more experienced users, we also offer the option to pick the PHP version and whether ionCube will be active or not for a particular domain name without altering the settings for the whole website hosting account. This is done by putting a php.ini file within a domain folder with a few lines of program code.